## libleidenalg 0.12.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.23)

# Add etc/cmake to CMake's search path so we can put our private stuff there
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/etc/cmake)

include(version)

project(libleidenalg VERSION ${PACKAGE_VERSION_BASE})

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)
include(packaging)

find_package(igraph 1 CONFIG REQUIRED)

# Set C++ standard version
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED True)

# Set default symbol visibility to hidden
set(CMAKE_C_VISIBILITY_PRESET hidden)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)

# Expose the BUILD_SHARED_LIBS option in the ccmake UI
option(BUILD_SHARED_LIBS "Build shared libraries" ON)

add_subdirectory(src)
add_subdirectory(include)

configure_package_config_file(
  "${PROJECT_SOURCE_DIR}/libleidenalgConfig.cmake.in"
  "${PROJECT_BINARY_DIR}/libleidenalgConfig.cmake"
  INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/libleidenalg"
  PATH_VARS CMAKE_INSTALL_INCLUDEDIR CMAKE_INSTALL_LIBDIR
)
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/libleidenalgConfigVersion.cmake"
  COMPATIBILITY SameMinorVersion)
install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/libleidenalgConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/libleidenalgConfigVersion.cmake"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/libleidenalg"
  COMPONENT dev
)

export(
  TARGETS libleidenalg
  FILE "${PROJECT_BINARY_DIR}/libleidenalgTargets.cmake")
export(PACKAGE libleidenalg)

 install(
  TARGETS libleidenalg
  EXPORT libleidenalgTargets
  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}" COMPONENT shlib
  FILE_SET headers
  DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libleidenalg" COMPONENT dev
)
install(
  EXPORT libleidenalgTargets
  FILE libleidenalgTargets.cmake
  NAMESPACE libleidenalg::
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/libleidenalg"
  )

=== include/CMakeLists.txt ===
target_sources(libleidenalg
  PUBLIC
  FILE_SET headers
  TYPE HEADERS
  BASE_DIRS 
    ${PROJECT_SOURCE_DIR}/include/
  FILES 
    Optimiser.h 
    GraphHelper.h 
    MutableVertexPartition.h
    
    ModularityVertexPartition.h
    SignificanceVertexPartition.h
    SurpriseVertexPartition.h

    ResolutionParameterVertexPartition.h
    LinearResolutionParameterVertexPartition.h    
    CPMVertexPartition.h
    RBConfigurationVertexPartition.h
    RBERVertexPartition.h

  )

=== src/CMakeLists.txt ===
add_library(libleidenalg
  GraphHelper.cpp
  Optimiser.cpp
  MutableVertexPartition.cpp

  ModularityVertexPartition.cpp
  SignificanceVertexPartition.cpp
  SurpriseVertexPartition.cpp

  ResolutionParameterVertexPartition.cpp  
  LinearResolutionParameterVertexPartition.cpp
  CPMVertexPartition.cpp
  RBConfigurationVertexPartition.cpp
  RBERVertexPartition.cpp

)

set_target_properties(libleidenalg PROPERTIES VERSION ${PROJECT_VERSION})
set_target_properties(libleidenalg PROPERTIES SOVERSION 1)

# Generate export header include file
include(GenerateExportHeader)
generate_export_header(libleidenalg
  STATIC_DEFINE LEIDENALG_STATIC
  EXPORT_FILE_NAME ${PROJECT_BINARY_DIR}/include/libleidenalg_export.h
)

# Make sure we install the export header
target_sources(libleidenalg
  PUBLIC
  FILE_SET headers
  TYPE HEADERS
  BASE_DIRS 
    ${PROJECT_BINARY_DIR}/include/
  FILES
    ${PROJECT_BINARY_DIR}/include/libleidenalg_export.h
)

# Make sure we can find include files
target_include_directories(
  libleidenalg
  PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
)

if (NOT BUILD_SHARED_LIBS)
  target_compile_definitions(libleidenalg PRIVATE LEIDENALG_STATIC)
else()
  target_compile_definitions(libleidenalg PRIVATE libleidenalg_EXPORTS)
endif()

target_link_libraries (libleidenalg PUBLIC igraph::igraph)

## libleidenalg 0.11.1

=== debian/changelog ===
libleidenalg (0.11.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:10:08 +0000

libleidenalg (0.11.1-2build1) noble; urgency=high

  * No change rebuild against libigraph3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:37:28 +0100

libleidenalg (0.11.1-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * d/*.symbols*: mark missing symbols with newer glibc/lto (Closes: #1050164)

  [ Étienne Mollier ]
  * d/control: mark liblibleidenalg-dev Multi-Arch: same.

 -- Étienne Mollier <emollier@debian.org>  Tue, 22 Aug 2023 10:27:45 +0200

libleidenalg (0.11.1-1) unstable; urgency=medium

  * Source-only upload to unstable.

 -- Étienne Mollier <emollier@debian.org>  Wed, 16 Aug 2023 18:22:12 +0200

libleidenalg (0.11.1-0+exp1) experimental; urgency=medium

  * Initial release. (Closes: #1046633)

 -- Étienne Mollier <emollier@debian.org>  Mon, 14 Aug 2023 11:19:25 +0200

=== debian/control ===
Source: libleidenalg
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Étienne Mollier <emollier@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libigraph-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/libleidenalg
Vcs-Git: https://salsa.debian.org/med-team/libleidenalg.git
Homepage: https://github.com/vtraag/libleidenalg
Rules-Requires-Root: no

Package: liblibleidenalg1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: implementation of the Leiden algorithm in C++ - library
 This package implements the Leiden algorithm in C++.  It relies on igraph for
 it to function.  Besides the relative flexibility of the implementation, it
 also scales well, and can be run on graphs of millions of nodes (as long as
 they can fit in memory).  The core class is Optimiser which finds the optimal
 partition using the Leiden algorithm, which is an extension of the Louvain
 algorithm for a number of different methods.  The methods currently implemented
 are (1) modularity, (2) Reichardt and Bornholdt's model using the
 configuration null model and the Erdös-Rényi null model, (3) the Constant
 Potts model (CPM), (4) Significance, and finally (5) Surprise.  In addition,
 it supports multiplex partition optimisation allowing community detection on
 for example negative links or multiple time slices.  There is the possibility
 of only partially optimising a partition, so that some community assignments
 remain fixed.  It also provides some support for community detection on
 bipartite graphs.
 .
 This package contains the library.

Package: liblibleidenalg-dev
Architecture: any
Multi-Arch: same
Depends: liblibleidenalg1 (= ${binary:Version}),
         ${misc:Depends}
Section: libdevel
Description: implementation of the Leiden algorithm in C++ - headers
 This package implements the Leiden algorithm in C++.  It relies on igraph for
 it to function.  Besides the relative flexibility of the implementation, it
 also scales well, and can be run on graphs of millions of nodes (as long as
 they can fit in memory).  The core class is Optimiser which finds the optimal
 partition using the Leiden algorithm, which is an extension of the Louvain
 algorithm for a number of different methods.  The methods currently implemented
 are (1) modularity, (2) Reichardt and Bornholdt's model using the
 configuration null model and the Erdös-Rényi null model, (3) the Constant
 Potts model (CPM), (4) Significance, and finally (5) Surprise.  In addition,
 it supports multiplex partition optimisation allowing community detection on
 for example negative links or multiple time slices.  There is the possibility
 of only partially optimising a partition, so that some community assignments
 remain fixed.  It also provides some support for community detection on
 bipartite graphs.
 .
 This package contains the C++ development files.  Most people will find it
 easier to work with the Python interface provided by python3-leidenalg.

=== debian/rules ===
#!/usr/bin/make -f
export LC_ALL=C.UTF-8
include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Work around build failure caused by igraph header path changes.
export CPATH = /usr/include/$(DEB_HOST_MULTIARCH)/igraph

%:
	dh $@

## libleidenalg 0.12.0

=== debian/changelog ===
libleidenalg (0.12.0-1) unstable; urgency=medium

  [ Aquila Macedo Costa ]
  * Update symbols

  [ Étienne Mollier ]
  * New upstream version 0.12.0 (Closes: #1117754)
  * typos.patch: delete: applied upstream.
  * d/rules: manually create VERSION file.
    This is a workaround to address failure by the upstream code to
    identify its own version, causing a build failure at configure step.
  * d/*symbols: update symbols file to match new upstream.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Sun, 12 Oct 2025 23:31:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: libleidenalg
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libigraph-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libleidenalg
 Vcs-Git: https://salsa.debian.org/med-team/libleidenalg.git
 Homepage: https://github.com/vtraag/libleidenalg
-Rules-Requires-Root: no
 
 Package: liblibleidenalg1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export LC_ALL=C.UTF-8
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Work around build failure caused by igraph header path changes.
export CPATH = /usr/include/$(DEB_HOST_MULTIARCH)/igraph

%:
	dh $@

# Work around build failure caused by missing upstream version.
execute_after_dh_auto_clean:
	rm -f $(CURDIR)/VERSION
execute_before_dh_auto_configure:
	echo $(DEB_VERSION_UPSTREAM) > $(CURDIR)/VERSION

=== debian/watch ===
Version: 5

Template: Github
Owner: vtraag
Project: libleidenalg
